LIBMTP_folder_struct(3)

NAME
LIBMTP_folder_struct

SYNOPSIS

#include <libmtp.h>

  Data Fields
uint32_t folder_id
uint32_t parent_id
uint32_t storage_id
char * name
LIBMTP_folder_t * sibling
LIBMTP_folder_t * child

Detailed Description

MTP Folder structure

Examples
delfile.c, folders.c, getfile.c, newfolder.c, sendfile.c, and sendtr.c.

Field Documentation

  LIBMTP_folder_t* LIBMTP_folder_struct::child
Child folder or NULL if no children

Examples
folders.c.

Referenced by LIBMTP_destroy_folder_t(), and LIBMTP_Find_Folder().

  uint32_t LIBMTP_folder_struct::folder_id
Unique folder ID

Examples
folders.c.

Referenced by LIBMTP_Find_Folder(), and LIBMTP_new_folder_t().

  char* LIBMTP_folder_struct::name
Name of folder

Examples
folders.c.

Referenced by LIBMTP_destroy_folder_t().

  uint32_t LIBMTP_folder_struct::parent_id
ID of parent folder

  LIBMTP_folder_t* LIBMTP_folder_struct::sibling
Next folder at same level or NULL if no more

Examples
folders.c.

Referenced by LIBMTP_destroy_folder_t(), and LIBMTP_Find_Folder().

  uint32_t LIBMTP_folder_struct::storage_id
ID of storage holding this folder

Author

Generated automatically by Doxygen for libmtp from the source code.